xgboost

Public Types | Public Member Functions | List of all members
xgboost::common::GHistBuilder< GradientSumT > Class Template Reference

builder for histograms of gradient statistics More...

`#include <hist_util.h>`

Collaboration diagram for xgboost::common::GHistBuilder< GradientSumT >:

## Public Types
using | GHistRowT = GHistRow< GradientSumT >

## Public Member Functions
| GHistBuilder ()=default
| GHistBuilder (size_t nthread, uint32_t nbins)
void | BuildHist (const std::vector< GradientPair > &gpair, const RowSetCollection::Elem row_indices, const GHistIndexMatrix &gmat, GHistRowT hist, bool isDense)
void | BuildBlockHist (const std::vector< GradientPair > &gpair, const RowSetCollection::Elem row_indices, const GHistIndexBlockMatrix &gmatb, GHistRowT hist)
void | SubtractionTrick (GHistRowT self, GHistRowT sibling, GHistRowT parent)
uint32_t | GetNumBins () const

## Detailed Description

### template<typename GradientSumT>
class xgboost::common::GHistBuilder< GradientSumT >

builder for histograms of gradient statistics

## Member Typedef Documentation

## ◆ GHistRowT

template<typename GradientSumT >

using xgboost::common::GHistBuilder< GradientSumT >::GHistRowT = GHistRow<GradientSumT>

## Constructor & Destructor Documentation

## ◆ GHistBuilder() [1/2]

template<typename GradientSumT >

xgboost::common::GHistBuilder< GradientSumT >::GHistBuilder | ( |  | ) |
| default

## ◆ GHistBuilder() [2/2]

template<typename GradientSumT >

xgboost::common::GHistBuilder< GradientSumT >::GHistBuilder | ( | size_t | nthread,
|  | uint32_t | nbins
| ) |  |
| inline

## Member Function Documentation

## ◆ BuildBlockHist()

template<typename GradientSumT >

void xgboost::common::GHistBuilder< GradientSumT >::BuildBlockHist | ( | const std::vector< GradientPair > & | gpair,
|  | const RowSetCollection::Elem | row_indices,
|  | const GHistIndexBlockMatrix & | gmatb,
|  | GHistRowT | hist
| ) |  |

## ◆ BuildHist()

template<typename GradientSumT >

void xgboost::common::GHistBuilder< GradientSumT >::BuildHist | ( | const std::vector< GradientPair > & | gpair,
|  | const RowSetCollection::Elem | row_indices,
|  | const GHistIndexMatrix & | gmat,
|  | GHistRowT | hist,
|  | bool | isDense
| ) |  |

## ◆ GetNumBins()

template<typename GradientSumT >

uint32_t xgboost::common::GHistBuilder< GradientSumT >::GetNumBins | ( |  | ) | const
| inline

## ◆ SubtractionTrick()

template<typename GradientSumT >

void xgboost::common::GHistBuilder< GradientSumT >::SubtractionTrick | ( | GHistRowT | self,
|  | GHistRowT | sibling,
|  | GHistRowT | parent
| ) |  |

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/hist_util.h